import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { Dialog as Dialog$1 } from '@base-ui/react/dialog';

declare function Dialog({ ...props }: Dialog$1.Root.Props): react_jsx_runtime.JSX.Element;
declare function DialogTrigger({ ...props }: Dialog$1.Trigger.Props): react_jsx_runtime.JSX.Element;
declare function DialogPortal({ ...props }: Dialog$1.Portal.Props): react_jsx_runtime.JSX.Element;
declare function DialogClose({ ...props }: Dialog$1.Close.Props): react_jsx_runtime.JSX.Element;
declare function DialogOverlay({ className, ...props }: Dialog$1.Backdrop.Props): react_jsx_runtime.JSX.Element;
declare function DialogContent({ className, children, showCloseButton, overlayClassName, ...props }: Dialog$1.Popup.Props & {
    showCloseButton?: boolean;
    overlayClassName?: string;
}): react_jsx_runtime.JSX.Element;
declare function DialogHeader({ className, ...props }: React.ComponentProps<"div">): react_jsx_runtime.JSX.Element;
declare function DialogFooter({ className, showCloseButton, children, ...props }: React.ComponentProps<"div"> & {
    showCloseButton?: boolean;
}): react_jsx_runtime.JSX.Element;
declare function DialogTitle({ className, ...props }: Dialog$1.Title.Props): react_jsx_runtime.JSX.Element;
declare function DialogDescription({ className, ...props }: Dialog$1.Description.Props): react_jsx_runtime.JSX.Element;

export { Dialog, DialogClose, DialogContent, DialogDescription, DialogFooter, DialogHeader, DialogOverlay, DialogPortal, DialogTitle, DialogTrigger };
